Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026839
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-06-11 11:402014-06-26 15:48
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision3fbe45f3957e
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesUser Interface Application
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026839: Error in a Process Definition without parameters

DescriptionIn ob-parameter-window-view.js in line 61: view.theForm.errorMessage = '';
If we have a Process Definition without parameters view.theForm us undefinedand we get an error.
Steps To ReproduceCreate a process definition(without parameters) and add it as a Button in a tab. Execute the process and press Done. You get a javascript error.
Proposed SolutionReplace:

view.theForm.errorMessage = '';

with:

if (view.theForm) {
  view.theForm.errorMessage = '';
}
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068270)
hgbot (developer)
2014-06-24 10:37

Repository: erp/devel/pi
Changeset: 3fbe45f3957e95199d099fd71e8a036a25a11f32
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jun 24 10:36:42 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3fbe45f3957e95199d099fd71e8a036a25a11f32 [^]

Fixed issue 0026839: Error in a Process Definition without parameters

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0068295)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test
(0068354)
AugustoMauch (developer)
2014-06-26 15:48

Code reviewed and verified in pi@174b96a6fa01.

- Issue History
Date Modified Username Field Change
2014-06-11 11:40 migueldejuana New Issue
2014-06-11 11:40 migueldejuana Assigned To => AugustoMauch
2014-06-11 11:40 migueldejuana Modules => User Interface Application
2014-06-11 11:40 migueldejuana Triggers an Emergency Pack => No
2014-06-19 10:08 rafademiguel Issue Monitored: rafademiguel
2014-06-24 10:35 migueldejuana Review Assigned To => AugustoMauch
2014-06-24 10:35 migueldejuana Assigned To AugustoMauch => migueldejuana
2014-06-24 10:37 hgbot Checkin
2014-06-24 10:37 hgbot Note Added: 0068270
2014-06-24 10:37 hgbot Status new => resolved
2014-06-24 10:37 hgbot Resolution open => fixed
2014-06-24 10:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3fbe45f3957e95199d099fd71e8a036a25a11f32 [^]
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068295
2014-06-26 15:48 AugustoMauch Note Added: 0068354
2014-06-26 15:48 AugustoMauch Status resolved => closed
2014-06-26 15:48 AugustoMauch Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker